#!/usr/bin/perl

use strict;

my $filename = "/var/log/trapout.log";
# Open STDIN for reading 
open(IN,"<&STDIN") || die "Cannot open the file STDIN";

# Open output file for sending stuff to
open (DATA, ">>$filename") || die "Cannot open the file $ARGV[0]";
print DATA &returnDateStamp." ";

# Start Loop for processing IN file
while (<IN>) {
      	chomp;
	print DATA "$_ ";

}
print DATA "\n";

#Function which returns the time
sub returnDateStamp {
	my $time = shift;
	if ( $time == 0 ) { $time = time; }
	my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime($time);
	if ($year > 70) { $year=$year+1900; }
	        else { $year=$year+2000; }
	if ($min<10) {$min = "0$min";}
	if ($sec<10) {$sec = "0$sec";}


	# Do some sums to calculate the time date etc 2 days ago
	$wday=('Sun','Mon','Tue','Wed','Thu','Fri','Sat')[$wday];

	$mon=('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec')[$mon];

	return "$mday-$mon-$year $hour:$min:$sec";
}

exit;
